<?php
require_once './Control/ControlFoto.php';
require_once './Util/Utilidades.php';
$controlFoto = new ControlFoto();
$galeria = $controlFoto->pegarTodosGaleria();
$ar = Utilidades::OrdenarArray($galeria->allToArray(), 'nome');
$arquivoForm = 'adm_galeriaForm.php';
?>
<button value="cmdNovo" onclick="javascript:mostrarArquivoDados('<?php echo $arquivoForm ?>','#dados','acao=inserir&lang=ptbr');">Novo registro</button>
<table class="datatable">
    <thead>
        <tr>
            <?php
            $ColNomes = '<th>Nome</th><th>Descrição</th><th></th>';
            echo $ColNomes;
            ?>
        </tr>
    </thead>
    <tbody>
        <?php
        foreach ($ar as $key => $row) {
            $pk = $row['galeriaid'];
            $nome = $row['nome'];
            echo '<tr class="gradeA" id="galeriaID_' . $pk .'">';
            echo '<td>' . $row['nome'] . '</td>';
            echo '<td>' . Utilidades::abreviaString(htmlspecialchars($row['descricao']),300) . '</td>';
            echo '<td><a href="javascript:mostrarArquivoDados(\'' . $arquivoForm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');">Editar</a> / <a href="javascript:excluirRegistro(\'' . $pk . '\',\'' . $nome .'\');" class="editor_remove">Excluir</a></td>';
            echo '</tr>';
        }
        ?>
    </tbody>
    <tfoot><?php echo $ColNomes?></tfoot>
</table>
<script>
    iniciarDataTable('.datatable');
</script>
<?php
        FormAjax::ExcluirRegistro('adm_galeriaCMD.php');
?>